<style>
    table {
        display: block;
        height: 400px;
        overflow-y: scroll;
    }
</style>
<div id="page-content-wrapper">
    <div id="page-content" style="background-color: #DFF0D8">
        <div class="panel panel-primary">
            <div class="panel-heading">
                <h4 class="panel-title">
                    <b>BUKU PENERIMAAN SEJENIS (BPS)</b>
                </h4>
            </div>
            <div class="panel-body">
                <div class="example-box-wrapper">
                    <div id="loading-progress" style="display: none"></div>
                    <div class="row" style="margin-bottom: 3px">
                        <div class="form-horizontal">
                            <div class="col-md-12 form-horizontal">
                                <label class="col-md-2 control-label">
                                    Tgl Setor
                                </label>
                                <div class="col-md-4">
                                    <div class="input-group input-daterange">
                                        <input type="text" class="form-control bootstrap-datepicker" id="tgl_bps1"  value="<?= date('01-m-Y') ?>" readonly="" style="text-align: left">
                                        <span class="input-group-addon" style="background-color: #EEEEEE"><b>s/d</b></span>
                                        <input type="text" class="form-control bootstrap-datepicker" id="tgl_bps2"  value="<?= date('t-m-Y') ?>" readonly="" style="text-align: left">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12 form-horizontal">
                                <label class="col-md-2 control-label">
                                    Jenis Pajak
                                </label>
                                <div class="col-md-4">
                                    <select id="jenis_bps" class="form-control" onchange="selectRekeningObjTrans(this)">
                                        <option value="">-- ALL --</option>
                                        <?php foreach ($dataobjek as $v) { ?>
                                            <option value="<?= $v['s_idjenis'] ?>"><?= $v['s_namajenis'] ?></option>
                                        <?php } ?>
                                    </select>
                                </div>
                            </div>
							<div class="col-md-12 form-horizontal">
								<label class='col-md-2 control-label'>
									Rekening
								</label>
								<div class='col-md-4' id="divkorekobjtrans">
									<select class='form-control' name='korekobjtrans' id='korekobjtrans'>
										<option value="">-- ALL --</option>
									</select>
								</div>
							</div>
							<div class="col-md-12 form-horizontal">
								<label class="col-md-2 control-label">
									Kecamatan
								</label>
								<div class="col-md-4">
									<select name="kecamatan" id="kecamatan" onchange="comboKelurahanCamat()" class="form-control">
										<option value="">-- ALL --</option>
										<?php foreach ($ar_kecamatan as $row) { ?>
											<option value="<?= $row['s_idkec'] ?>"><?= str_pad($row['s_kodekec'], 2, "0", STR_PAD_LEFT) ?> || <?= $row['s_namakec'] ?></option>
										<?php } ?>
									</select>
								</div>
								<label class="col-md-1 control-label">
									Kel/Desa
								</label>
								<div class="col-md-4">
									<select name="kelurahan" id="kelurahan" class="form-control">
										<option value="">-- ALL --</option>
									</select>
								</div>
							</div>
                            <div class="col-md-12 form-horizontal">
                                <label class="col-md-2 control-label">
                                    Via Setor
                                </label>
                                <div class="col-md-4">
                                    <select id="via_bps" class="form-control">
                                        <option value="">-- ALL --</option>
                                        <option value="1">BANK</option>
                                        <option value="2">BENDAHARA PENERIMA</option>
                                    </select>
                                </div>
                                <div class="col-md-6">
                                    <button type="button" class="btn btn-sm btn-warning" onclick="calldatagrid()"><span class="glyph-icon icon-search"></span> &nbsp;CARI</button>
                                    <button type="button" class="btn btn-sm btn-primary" onclick="pagebpsexport('excel')"><span class="glyph-icon icon-file-excel-o"></span> &nbsp;EXPORT TO EXCEL</button>
                                    <button type="button" class="btn btn-sm btn-danger" onclick="pagebpsexport('pdf')"><span class="glyph-icon icon-file-pdf-o"></span> &nbsp;EXPORT TO PDF&nbsp;&nbsp;&nbsp;&nbsp;</button>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row" style="overflow: auto">
                        <table class="table table-condensed table-bordered table-hover cf table-responsive" style="font-size: 11px; color:black; width:100%">
                            <thead>
                                <tr>
                                    <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align:middle; width: 5%">NO.</th>
                                    <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align:middle; width: 20%">NAMA REKENING</th>
                                    <th style="background-color: #eb3a45; color: white; text-align: center;vertical-align:middle; width: 10%">KODE BAYAR</th>
                                    <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align:middle; width: 20%">DITERIMA DARI</th>
                                    <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align:middle; width: 15%">NPWPD</th>
                                    <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align:middle; width: 10%">TGL. SETOR</th>
                                    <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align:middle; width: 20%">JUMLAH SETOR<br>(Rp.)</th>
                                </tr>
                            </thead>
                            <tbody id="body_grid">
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">

    $(function () {
        calldatagrid();
    });

    function calldatagrid(direction) {
        gridbps(direction);
    }

    function gridbps(direction) {
        const divprogress = document.getElementById('loading-progress');
        divprogress.style.display = 'block';
        var progress1 = $("#loading-progress").progressTimer();

        $.post('<?= $this->url() ?>/gridpagebps/' + null + '/' + null + '/' + direction, {
            tgl_bps1: $('#tgl_bps1').val(),
            tgl_bps2: $('#tgl_bps2').val(),
            jenis_bps: $('#jenis_bps').val(),
            rekening: $('#korekobjtrans').val(),
            kecamatan: $('#kecamatan').val(),
            kelurahan: $('#kelurahan').val(),
            via_bps: $('#via_bps').val()
        }, function (data) {
            var aa = JSON.parse(data);
            $("#body_grid").html(aa.grid);
            $.ajax().error(function () {
                progress1.progressTimer('error', {
                    errorText: 'ERROR!',
                    onFinish: function () {
                        console.log('1 - There was an error processing your information!');
                    }
                });
            }).done(function () {
                progress1.progressTimer('complete');
            });
            setTimeout(() => {
                divprogress.style.display = 'none';
            }, 1000);
        });
    }

	function selectRekeningObjTrans(obj) {
		var selectedJenis = $(obj).val();
		$.post('<?= $this->url() ?>/selectRekeningJenisTrans', {jenis: selectedJenis}, function (data) {
			var res = JSON.parse(data);
			$('#divkorekobjtrans').html(res.rekening);
		});
	}
	
	function comboKelurahanCamat() {
        $.post('<?= $this->url() ?>/comboKelurahanCamat', {t_kecamatan: $('#kecamatan').val()}, function (data) {
            $("#kelurahan").html(data);
        });
    }
	
    function pagebpsexport(a) {
        window.open('<?= $this->url() ?>/pagebpsexport?tgl_bps1=' + $("#tgl_bps1").val()
                + "&tgl_bps2=" + $("#tgl_bps2").val()
                + "&jenis_bps=" + $("#jenis_bps").val()
				+ "&rekening=" + $("#korekobjtrans").val()
				+ "&kecamatan=" + $("#kecamatan").val()
				+ "&kelurahan=" + $("#kelurahan").val()
                + "&via_bps=" + $("#via_bps").val()
                + "&file_format=" + a);
    }
</script>
